From b29f596bae2cca5eaf252d1cb2d69bcba72986be Mon Sep 17 00:00:00 2001
From: Takashi Menjo <takashi.menjou.vg@hco.ntt.co.jp>
Date: Thu, 20 Jan 2022 13:00:37 +0900
Subject: [PATCH v8 11/11] [For CI only] Modify initdb for "wal_pmem_map = on"

This is only for testing, not for production use, because it will
modify initdb's binary.
---
 src/bin/initdb/initdb.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/bin/initdb/initdb.c b/src/bin/initdb/initdb.c
index f964a000f8..d571c7846f 100644
--- a/src/bin/initdb/initdb.c
+++ b/src/bin/initdb/initdb.c
@@ -1172,6 +1172,12 @@ setup_config(void)
 							  repltok);
 #endif
 
+#ifdef USE_LIBPMEM
+	conflines = replace_token(conflines,
+							  "#wal_pmem_map = off",
+							  "wal_pmem_map = on");
+#endif
+
 #ifndef USE_PREFETCH
 	conflines = replace_token(conflines,
 							  "#effective_io_concurrency = 1",
-- 
2.25.1

